Object Detection using Template

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables
Public Member Functions | Private Attributes | List of all members
cz.vutbr.feec.novak68.extractors.SimpleHogPropertyExtractor Class Reference
Inheritance diagram for cz.vutbr.feec.novak68.extractors.SimpleHogPropertyExtractor:
[legend]
Collaboration diagram for cz.vutbr.feec.novak68.extractors.SimpleHogPropertyExtractor:
[legend]

## Public Member Functions
| SimpleHogPropertyExtractor (BufferedWriter writer)
| SimpleHogPropertyExtractor ()
| SimpleHogPropertyExtractor (int width, int cellSizeX, int cellSizeY, int numOfBins, int threshold, BufferedWriter writer)
void | extractProperies (ImagePlus img) throws IOException
void | extractProperies (ImagePlus img, char folder) throws IOException
void | extractProperies (ImagePlus img, MyProcess process, String coordinates, boolean useVariance) throws IOException

## Private Attributes
SimpleHogComparator | simpleC
SimpleSthrenghtHOGComparator | strenghtC
SimpleSymetryComparator | symetryC
SimpleXSymetryComparator | xSymetryC
SimpleYSymetryComparator | ySymetryC
AllElementComparator | allElementC
HorizontalElementComparator | hElementC
VerticalElementComparator | vElementC
OtherElementComparator | otherElementC
SimpleHOGbinExtractor | binExtractor
SimpleHOGcellExtractor | cellExtractor
VarianceComputer | variance

## Additional Inherited Members
Protected Attributes inherited from cz.vutbr.feec.novak68.extractors.HOGbaseExtractor
HOG | hogTemplate
HOG | hogTest
int | width
int | cellSizeX
int | cellSizeY
int | numOfBins
BufferedWriter | output

## Detailed Description

Main extraction class

Author
  xnovak68

Definition at line 27 of file SimpleHogPropertyExtractor.java.

## Constructor & Destructor Documentation

cz.vutbr.feec.novak68.extractors.SimpleHogPropertyExtractor.SimpleHogPropertyExtractor | ( | BufferedWriter | writer | ) |

Default constructor

Parameters

  writer |

Definition at line 46 of file SimpleHogPropertyExtractor.java.

cz.vutbr.feec.novak68.extractors.SimpleHogPropertyExtractor.SimpleHogPropertyExtractor | ( |  | ) |

Definition at line 49 of file SimpleHogPropertyExtractor.java.

cz.vutbr.feec.novak68.extractors.SimpleHogPropertyExtractor.SimpleHogPropertyExtractor | ( | int | width,
|  | int | cellSizeX,
|  | int | cellSizeY,
|  | int | numOfBins,
|  | int | threshold,
|  | BufferedWriter | writer
| ) |  |

More specifiable constructor

Parameters

  width |
  cellSizeX |
  cellSizeY |
  numOfBins |
  threshold |
  writer |

Definition at line 61 of file SimpleHogPropertyExtractor.java.

References cz.vutbr.feec.novak68.extractors.SimpleHogPropertyExtractor.allElementC, cz.vutbr.feec.novak68.extractors.SimpleHogPropertyExtractor.binExtractor, cz.vutbr.feec.novak68.extractors.SimpleHogPropertyExtractor.cellExtractor, cz.vutbr.feec.novak68.extractors.HOGbaseExtractor.cellSizeX, cz.vutbr.feec.novak68.extractors.HOGbaseExtractor.cellSizeY, cz.vutbr.feec.novak68.extractors.SimpleHogPropertyExtractor.hElementC, cz.vutbr.feec.novak68.extractors.HOGbaseExtractor.hogTemplate, cz.vutbr.feec.novak68.extractors.HOGbaseExtractor.numOfBins, cz.vutbr.feec.novak68.extractors.SimpleHogPropertyExtractor.otherElementC, cz.vutbr.feec.novak68.extractors.SimpleHogPropertyExtractor.simpleC, cz.vutbr.feec.novak68.extractors.SimpleHogPropertyExtractor.symetryC, cz.vutbr.feec.novak68.extractors.SimpleHogPropertyExtractor.variance, cz.vutbr.feec.novak68.extractors.SimpleHogPropertyExtractor.vElementC, cz.vutbr.feec.novak68.extractors.HOGbaseExtractor.width, cz.vutbr.feec.novak68.extractors.SimpleHogPropertyExtractor.xSymetryC, and cz.vutbr.feec.novak68.extractors.SimpleHogPropertyExtractor.ySymetryC.

## Member Function Documentation

void cz.vutbr.feec.novak68.extractors.SimpleHogPropertyExtractor.extractProperies | ( | ImagePlus | img | ) | throws IOException

Definition at line 92 of file SimpleHogPropertyExtractor.java.

void cz.vutbr.feec.novak68.extractors.SimpleHogPropertyExtractor.extractProperies | ( | ImagePlus | img,
|  | char | folder
| ) |  | throws IOException

Implementation of this method should compute HOG and extract all symptomps to file

Parameters

  img |
  folder | - specifies if this is an p positive image or n negative image.

Exceptions

  IOException |

Implements cz.vutbr.feec.novak68.extractors.HOGextractor.

Definition at line 95 of file SimpleHogPropertyExtractor.java.

References cz.vutbr.feec.novak68.extractors.HOGbaseExtractor.cellSizeX, cz.vutbr.feec.novak68.extractors.HOGbaseExtractor.cellSizeY, cz.vutbr.feec.novak68.extractors.HOGbaseExtractor.hogTemplate, cz.vutbr.feec.novak68.extractors.HOGbaseExtractor.hogTest, cz.vutbr.feec.novak68.extractors.HOGbaseExtractor.numOfBins, and cz.vutbr.feec.novak68.extractors.HOGbaseExtractor.width.

void cz.vutbr.feec.novak68.extractors.SimpleHogPropertyExtractor.extractProperies | ( | ImagePlus | img,
|  | MyProcess | process,
|  | String | coordinates,
|  | boolean | useVariance
| ) |  | throws IOException

Implementation of this method should compute HOG at coordinates and extract all symptomps to RapidMiner process. This method not starts RapidMiner process

Parameters

  img |
  process |
  coordinates |
  useVariance | - if True variance is computed

Exceptions

  IOException |

Implements cz.vutbr.feec.novak68.extractors.HOGextractor.

Definition at line 167 of file SimpleHogPropertyExtractor.java.

References cz.vutbr.feec.novak68.extractors.SimpleHogPropertyExtractor.allElementC, cz.vutbr.feec.novak68.extractors.HOGbaseExtractor.cellSizeX, cz.vutbr.feec.novak68.extractors.HOGbaseExtractor.cellSizeY, cz.vutbr.feec.novak68.hogcomparators.OtherElementComparator.getDistance(), cz.vutbr.feec.novak68.hogcomparators.AllElementComparator.getDistance(), cz.vutbr.feec.novak68.hogcomparators.HorizontalElementComparator.getDistance(), cz.vutbr.feec.novak68.hogcomparators.VerticalElementComparator.getDistance(), cz.vutbr.feec.novak68.hogcomparators.SimpleXSymetryComparator.getDistance(), cz.vutbr.feec.novak68.hogcomparators.SimpleYSymetryComparator.getDistance(), cz.vutbr.feec.novak68.hogcomparators.SimpleSymetryComparator.getDistance(), cz.vutbr.feec.novak68.extractors.SimpleHogPropertyExtractor.hElementC, cz.vutbr.feec.novak68.extractors.HOGbaseExtractor.hogTemplate, cz.vutbr.feec.novak68.extractors.HOGbaseExtractor.hogTest, cz.vutbr.feec.novak68.extractors.HOGbaseExtractor.numOfBins, cz.vutbr.feec.novak68.extractors.SimpleHogPropertyExtractor.otherElementC, cz.vutbr.feec.novak68.extractors.SimpleHogPropertyExtractor.symetryC, cz.vutbr.feec.novak68.extractors.SimpleHogPropertyExtractor.vElementC, cz.vutbr.feec.novak68.extractors.HOGbaseExtractor.width, cz.vutbr.feec.novak68.extractors.SimpleHogPropertyExtractor.xSymetryC, and cz.vutbr.feec.novak68.extractors.SimpleHogPropertyExtractor.ySymetryC.

Here is the call graph for this function:

## Member Data Documentation

AllElementComparator cz.vutbr.feec.novak68.extractors.SimpleHogPropertyExtractor.allElementC
| private

Definition at line 35 of file SimpleHogPropertyExtractor.java.

Referenced by cz.vutbr.feec.novak68.extractors.SimpleHogPropertyExtractor.extractProperies(), and cz.vutbr.feec.novak68.extractors.SimpleHogPropertyExtractor.SimpleHogPropertyExtractor().

SimpleHOGbinExtractor cz.vutbr.feec.novak68.extractors.SimpleHogPropertyExtractor.binExtractor
| private

Definition at line 39 of file SimpleHogPropertyExtractor.java.

Referenced by cz.vutbr.feec.novak68.extractors.SimpleHogPropertyExtractor.SimpleHogPropertyExtractor().

SimpleHOGcellExtractor cz.vutbr.feec.novak68.extractors.SimpleHogPropertyExtractor.cellExtractor
| private

Definition at line 40 of file SimpleHogPropertyExtractor.java.

Referenced by cz.vutbr.feec.novak68.extractors.SimpleHogPropertyExtractor.SimpleHogPropertyExtractor().

HorizontalElementComparator cz.vutbr.feec.novak68.extractors.SimpleHogPropertyExtractor.hElementC
| private

Definition at line 36 of file SimpleHogPropertyExtractor.java.

Referenced by cz.vutbr.feec.novak68.extractors.SimpleHogPropertyExtractor.extractProperies(), and cz.vutbr.feec.novak68.extractors.SimpleHogPropertyExtractor.SimpleHogPropertyExtractor().

OtherElementComparator cz.vutbr.feec.novak68.extractors.SimpleHogPropertyExtractor.otherElementC
| private

Definition at line 38 of file SimpleHogPropertyExtractor.java.

Referenced by cz.vutbr.feec.novak68.extractors.SimpleHogPropertyExtractor.extractProperies(), and cz.vutbr.feec.novak68.extractors.SimpleHogPropertyExtractor.SimpleHogPropertyExtractor().

SimpleHogComparator cz.vutbr.feec.novak68.extractors.SimpleHogPropertyExtractor.simpleC
| private

Definition at line 30 of file SimpleHogPropertyExtractor.java.

Referenced by cz.vutbr.feec.novak68.extractors.SimpleHogPropertyExtractor.SimpleHogPropertyExtractor().

SimpleSthrenghtHOGComparator cz.vutbr.feec.novak68.extractors.SimpleHogPropertyExtractor.strenghtC
| private

Definition at line 31 of file SimpleHogPropertyExtractor.java.

SimpleSymetryComparator cz.vutbr.feec.novak68.extractors.SimpleHogPropertyExtractor.symetryC
| private

Definition at line 32 of file SimpleHogPropertyExtractor.java.

Referenced by cz.vutbr.feec.novak68.extractors.SimpleHogPropertyExtractor.extractProperies(), and cz.vutbr.feec.novak68.extractors.SimpleHogPropertyExtractor.SimpleHogPropertyExtractor().

VarianceComputer cz.vutbr.feec.novak68.extractors.SimpleHogPropertyExtractor.variance
| private

Definition at line 41 of file SimpleHogPropertyExtractor.java.

Referenced by cz.vutbr.feec.novak68.extractors.SimpleHogPropertyExtractor.SimpleHogPropertyExtractor().

VerticalElementComparator cz.vutbr.feec.novak68.extractors.SimpleHogPropertyExtractor.vElementC
| private

Definition at line 37 of file SimpleHogPropertyExtractor.java.

Referenced by cz.vutbr.feec.novak68.extractors.SimpleHogPropertyExtractor.extractProperies(), and cz.vutbr.feec.novak68.extractors.SimpleHogPropertyExtractor.SimpleHogPropertyExtractor().

SimpleXSymetryComparator cz.vutbr.feec.novak68.extractors.SimpleHogPropertyExtractor.xSymetryC
| private

Definition at line 33 of file SimpleHogPropertyExtractor.java.

Referenced by cz.vutbr.feec.novak68.extractors.SimpleHogPropertyExtractor.extractProperies(), and cz.vutbr.feec.novak68.extractors.SimpleHogPropertyExtractor.SimpleHogPropertyExtractor().

SimpleYSymetryComparator cz.vutbr.feec.novak68.extractors.SimpleHogPropertyExtractor.ySymetryC
| private

Definition at line 34 of file SimpleHogPropertyExtractor.java.

Referenced by cz.vutbr.feec.novak68.extractors.SimpleHogPropertyExtractor.extractProperies(), and cz.vutbr.feec.novak68.extractors.SimpleHogPropertyExtractor.SimpleHogPropertyExtractor().

The documentation for this class was generated from the following file:

- src/cz/vutbr/feec/novak68/extractors/SimpleHogPropertyExtractor.java